Bug 1066743 - [doc] `dnf clean` should function or warn when run as normal user
Summary: [doc] `dnf clean` should function or warn when run as normal user
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 01:53 UTC by Pete Travis
Modified: 2014-02-26 13:53 UTC (History)
4 users (show)

Fixed In Version: dnf-0.4.15-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-26 13:53:21 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pete Travis 2014-02-19 01:53:10 UTC
Operations executing dnf as root do not appear to operate on the same cache/metadata as those executed as a regular user. for example:

$ dnf clean all
$ sudo dnf clean all
$ dnf check-update #metadata is refreshed
$ sudo dnf check-update #metadata is refreshed again



$ dnf --version
0.4.14
  Installed: dnf-0:0.4.14-99.487.20140218git441c092.fc20.noarch at 2014-02-19 01:16
  Built    :  at 2014-02-18 12:31

  Installed: rpm-0:4.11.2-1.fc20.x86_64 at 2014-02-18 02:49
  Built    : Fedora Project at 2014-02-13 08:41

Comment 1 Parag Nemade 2014-02-19 04:13:25 UTC
you should install dnf-plugins-core package that will install noroot plugin which will then check the root privileges.

Comment 2 Pete Travis 2014-02-19 07:15:02 UTC
Parag, your commend seems better suited for https://bugzilla.redhat.com/show_bug.cgi?id=1066747 :)

Comment 3 Ales Kozumplik 2014-02-19 08:01:21 UTC
This works as expected but we didn't document it well. Upstream commit dfd08eb remedies this.

Comment 4 Fedora Update System 2014-02-24 18:57:52 UTC
dnf-0.4.15-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.15-1.fc20

Comment 5 Fedora Update System 2014-02-26 13:53:21 UTC
dnf-0.4.15-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.